Subject: Ticket Assigned - Landmark Group
From: Max <[email-masked]>
To: [email-masked]
Date: Sat, 10 Dec 2022 02:38:05 +0000

Hi Hamza Nomani,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Landmark Group I ordered several times but it keeps on cancelling from the delivery. Everytime I have order I am recieving a message saying that the order cannot be deliver because the customer rejected the order, I am wondering how come, no one called and no one came in the house. I don't know whom I will contact about this matter. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5440471